%define major	1
%define libname	%mklibname expat %{major}
%define devname	%mklibname -d expat

Summary:	XML parser written in C
Name:		expat
Version:	2.1.0
%define subrel	1
Release:	%mkrel 7
License:	MIT
Group:		Text tools
URL:		http://www.libexpat.org
Source0:	http://prdownloads.sourceforge.net/expat/expat-%{version}.tar.gz
Patch0:		expat-2.1.0-xmlwfargs.patch
# fix for CVE-2015-1283 as reported for chromium 44, patch from mozilla
Patch1:		CVE-2015-1283.patch

%description
Expat is an XML 1.0 parser written in C by James Clark.  It aims to be
fully conforming. It is currently not a validating XML parser.

%package -n %{libname}
Summary:	Main library for expat
Group:		Development/C

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with expat.

%package -n %{devname}
Summary:	Development environment for the expat XML parser
Group:		Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}expat1-devel < 2.1.0-5

%description -n %{devname}
Development environment for the expat XML parser.

%prep
%setup -q
%apply_patches

%build
#rm -rf autom4te*.cache
#rm conftools/libtool.m4
#libtoolize --copy --force --automake; aclocal; autoheader; autoconf
#export CFLAGS="%{optflags} -fPIC"

%configure2_5x \
	--disable-static
%make

%check
make check

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/xmlwf
%{_mandir}/man*/*

%files -n %{libname}
%{_libdir}/libexpat.so.%{major}*

%files -n %{devname}
%doc doc/reference.html
%{_libdir}/libexpat.so
%{_includedir}/expat.h
%{_includedir}/expat_external.h
%{_libdir}/pkgconfig/expat.pc


%changelog
* Sun Jul 26 2015 luigiwalser <luigiwalser> 2.1.0-7.1.mga4
+ Revision: 857925
- add patch from mozilla to fix CVE-2015-1283 (cjw)

* Sat Oct 19 2013 umeabot <umeabot> 2.1.0-7.mga4
+ Revision: 528978
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 wally <wally> 2.1.0-6.mga4
+ Revision: 448458
- add patch from Fedora to fix 'xmlwf -h' output (rhbz#948534)

* Sun Jun 30 2013 wally <wally> 2.1.0-5.mga4
+ Revision: 448454
- fix devel pkg name
- fix license
- disable static build
- clean old obsoletes/provides
- clean .spec a bit

* Fri Jan 11 2013 umeabot <umeabot> 2.1.0-4.mga3
+ Revision: 349870
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 2.1.0-3.mga3
+ Revision: 310511
- fix RPM group

* Sat Oct 20 2012 malo <malo> 2.1.0-2.mga3
+ Revision: 308541
- update RPM group

* Thu Mar 29 2012 guillomovitch <guillomovitch> 2.1.0-1.mga2
+ Revision: 227472
- new version

* Sat Jan 08 2011 blino <blino> 2.0.1-14.mga1
+ Revision: 724
- remove old ldconfig scripts
- imported package expat

